Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPVariable

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`, `IVariable`

All Known Subinterfaces:
  `ICPPField`, `ICPPFieldTemplate`, `ICPPParameter`, `ICPPTemplateNonTypeParameter`, `ICPPVariableInstance`, `ICPPVariableTemplate`, `ICPPVariableTemplatePartialSpecialization`

public interface ICPPVariable extends IVariable, ICPPBinding

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`EMPTY_VARIABLE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isConstexpr()`
Checks whether this variable is declared as constexpr.
`boolean`
`isExternC()`
Checks whether this variable is declared as extern "C".
`boolean`
`isMutable()`
Checks whether this variable has the mutable storage class specifier.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`getInitialValue, getType, isAuto, isExtern, isRegister, isStatic`

## Method Details

### isMutable

boolean isMutable()
Checks whether this variable has the mutable storage class specifier.

### isConstexpr

boolean isConstexpr()
Checks whether this variable is declared as constexpr.

Since:
  6.2

### isExternC

boolean isExternC()
Checks whether this variable is declared as extern "C".